Package org.apache.sling.testing.clients

# Class SlingClientConfig.Builder

java.lang.Object
org.apache.sling.testing.clients.SlingClientConfig.Builder

Enclosing class:
  `SlingClientConfig`

public static class SlingClientConfig.Builder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.apache.http.client.AuthCache`
`authCache`
`protected org.apache.http.client.CookieStore`
`cookieStore`
`protected org.apache.http.client.CredentialsProvider`
`credsProvider`
`protected String`
`password`
`protected boolean`
`preemptiveAuth`
`protected URI`
`url`
`protected String`
`user`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`SlingClientConfig`
`build()`
`static SlingClientConfig.Builder`
`create()`
`SlingClientConfig.Builder`
`setAuthCache(org.apache.http.client.AuthCache authCache)`
`SlingClientConfig.Builder`
`setCookieStore(org.apache.http.client.CookieStore cookieStore)`
`SlingClientConfig.Builder`
`setCredentialsProvider(org.apache.http.client.CredentialsProvider credsProvider)`
`SlingClientConfig.Builder`
`setPassword(String password)`
`SlingClientConfig.Builder`
`setPreemptiveAuth(boolean preemptiveAuth)`
`SlingClientConfig.Builder`
`setUrl(String url)`
`SlingClientConfig.Builder`
`setUrl(URI url)`
`SlingClientConfig.Builder`
`setUser(String user)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### url

protected URI url

### user

protected String user

### password

protected String password

### cookieStore

protected org.apache.http.client.CookieStore cookieStore

### credsProvider

protected org.apache.http.client.CredentialsProvider credsProvider

### authCache

protected org.apache.http.client.AuthCache authCache

### preemptiveAuth

protected boolean preemptiveAuth

## Constructor Details

### Builder

protected Builder()

## Method Details

### create

public static SlingClientConfig.Builder create()

### setUrl

public SlingClientConfig.Builder setUrl(String url) throws URISyntaxException

Throws:
  `URISyntaxException`

### setUrl

public SlingClientConfig.Builder setUrl(URI url)

### setUser

public SlingClientConfig.Builder setUser(String user)

### setPassword

public SlingClientConfig.Builder setPassword(String password)

### setCredentialsProvider

public SlingClientConfig.Builder setCredentialsProvider(org.apache.http.client.CredentialsProvider credsProvider)

### setAuthCache

public SlingClientConfig.Builder setAuthCache(org.apache.http.client.AuthCache authCache)

### setPreemptiveAuth

public SlingClientConfig.Builder setPreemptiveAuth(boolean preemptiveAuth)

### setCookieStore

public SlingClientConfig.Builder setCookieStore(org.apache.http.client.CookieStore cookieStore)

### build

public SlingClientConfig build() throws ClientException

Throws:
  `ClientException`